Perform various operations on tracking records.
Operations
searchTrackingPagedSelectFields
POST
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
AccountNumberstringoptionalQuerystringoptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
TokenstringoptionalLoading fields…
POST
/nexum/{sym}/2022.01/account/searchTrackingPagedSelectFieldsPOST /nexum/627/2022.01/account/searchTrackingPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000013824",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 5
},
"SelectableFields": {
"TrackingFields": {
"Locator": true,
"Type": true
}
},
"Query": "type=30"
}updateTrackingByID
POST
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
TrackingLocatorintegeroptionalAccountNumberstringoptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/account/updateTrackingByIDPOST /nexum/627/2022.01/account/updateTrackingByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"TrackingLocator": 0,
"TrackingUpdatableFields": {
"Type": 0,
"TrackingCode": 0,
"UserChar1": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}createTracking
POST
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
AccountNumberstringoptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
TrackingLocatorintegeroptionalLoading fields…
POST
/nexum/{sym}/2022.01/account/createTrackingPOST /nexum/627/2022.01/account/createTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"TrackingCreatableFields": {
"Type": 0,
"TrackingCode": 0,
"UserChar1": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}deleteTracking
POST
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
AccountNumberstringoptionalTrackingLocatorintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.Loading fields…
POST
/nexum/{sym}/2022.01/account/deleteTrackingPOST /nexum/627/2022.01/account/deleteTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"TrackingLocator": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}